export function queryPreRenderedTargets(root, environmentName, bindings) {
    return Array.from(root.querySelectorAll("div[id^=\"" + environmentName + "_\"], div[id^=\"" + environmentName + ":\"]"))
        .map(function (element) {
        if (element.id.substr(0, 7) === environmentName + "_") {
            var widgetName_1 = element.id.substr(7);
            return { widgetName: widgetName_1, element: element };
        }
        var widgetName = element.id.split(':')[3];
        return { widgetName: widgetName, element: element };
    });
}
var createRegExp = function (bindings) {
    var escapedBindings = bindings.map(function (binding) { return binding.replace(/\./g, '\\.'); }).join('|');
    return new RegExp('^((http[s]?:)?\/\/)?(' + escapedBindings + ')\/([^\\s]+)');
};
// TODO: Handle relative urls when also baseURI is set
var getLinkUrl = function (element) { return element.href; };
export function queryLinkTargets(root, bindings) {
    var regex = createRegExp(bindings);
    var destructLinkElement = function (element) {
        var matches = regex.exec(getLinkUrl(element));
        if (matches) {
            return {
                element: element,
                widget: matches[4],
            };
        }
        return null;
    };
    return Array.from(root.querySelectorAll('a'))
        .map(function (element) { return destructLinkElement(element); })
        .filter(function (data) { return !!data; })
        .map(function (data) {
        return {
            element: data.element,
            widgetName: data.widget,
        };
    });
}
//# sourceMappingURL=target-queries.js.map