"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var platform_1 = require("@webprovisions/platform");
exports.default = platform_1.createConfigurationApi(function (builder) {
    builder.createCommand('ready', { scope: platform_1.ConfigurationScope.Implementation, stage: platform_1.ConfigurationStage.Pre }, function (context) { return function (fn) {
        var container = context.container;
        var implementation = container.owner;
        var bootstrapping = container.get('bootstrapping');
        if (!bootstrapping.ready) {
            implementation.events.subscribeOnce('bootstrap:ready', function () {
                fn(implementation);
            });
        }
        else {
            fn(implementation);
        }
    }; });
});
//# sourceMappingURL=configuration-api.js.map